%define apachedir /etc/httpd
%define apacheuser apache 
%define apachegroup apache
%define contentdir /usr/share

Summary: The Horde note manager application.
Name: mnemo-h3
Version: 2.1.2
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/mnemo/mnemo-h3-%{version}.tar.gz
#Source1: mnemo.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
BuildRequires:  gettext
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: mnemo
Provides: mnemo = %{version}-%{release}
Prereq: /usr/bin/perl
AutoReq: no

%description
Mnemo is the Horde notes and memos application. It lets users keep
free-text notes and other bits of information which doesn't fit as a
contact, a todo item, an event, etc. It is very similar in functionality
to the Palm Memo application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Mnemo)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
#cp -p $RPM_SOURCE_DIR/mnemo.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/mnemo
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/mnemo
cd $RPM_BUILD_ROOT%{contentdir}/horde/mnemo/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache mnemo.conf file
#%config %{apachedir}/conf.d/mnemo.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/mnemo
# Include top-level files by hand
%{contentdir}/horde/mnemo/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/mnemo/lib
%{contentdir}/horde/mnemo/locale
%{contentdir}/horde/mnemo/po
%{contentdir}/horde/mnemo/scripts
%{contentdir}/horde/mnemo/templates
%{contentdir}/horde/mnemo/themes
%{contentdir}/horde/mnemo/js
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/mnemo/LICENSE
%doc %{contentdir}/horde/mnemo/README
%docdir %{contentdir}/horde/mnemo/docs
%{contentdir}/horde/mnemo/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/mnemo/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/mnemo/config/.htaccess
%{contentdir}/horde/mnemo/config/*.dist
%config(noreplace) %{contentdir}/horde/mnemo/config/*.php
%config(noreplace) %{contentdir}/horde/mnemo/config/*.xml

%changelog
* Sun Mar  9 2008 Johnny Hughes <johnny@centos.org> 2.1.2.el5.centos
- upgraded to upstream version 2.1.2

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> 2.1.1.el5.centos
- built for CentOS-5

* Tue Nov 14 2006 Johnny Hughes <johnny@centos.org> 2.1.1.c4
- upgraded to upstream version 2.1.1

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> 2.1.c4
- administratative changes only ... no new RPMS produced or version changes
- modified config files from config to config(noreplace)
- removed an extra . in the file name
- these changes will be pushed with the next upstream upgrade

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 2.1.c4
- Updated to upstream release 2.1

* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> 2.0.3-1.centos4
- Updated to upstream release 2.0.3
  See this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113433279228172&w=2

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 2.0.2-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)
